- Home
- API Enriched
- Shape
- shape
- Rescue Dashboard.
Rescue Dashboard.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/recognize/namespaces/system/recognize/addon/dashboard/rescue';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"endTime":"example","itemUnit":"example","startTime":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/recognize/namespaces/system/recognize/addon/dashboard/rescue \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "endTime": "example", "itemUnit": "example", "startTime": "example" }'GET rescue chart data from shape recognize API.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Since and to times to generate the Rescue Request.
object
The time to we want the rescue data Required: YES.
The unit where the data is represented.
The time since we want the rescue data Required: YES.
Examplegenerated
{ "endTime": "example", "itemUnit": "example", "startTime": "example"}Responses
Section titled “Responses”A successful response.
The data of Rescue Response Chart.
object
The actual version of the shape recognize API.
object
End Time
Start Time.
End Time
Start Time.
Abandon Login Count.
End Time
The system unit to represent the data.
The collection of data to be filled into the chart.
Conversion Item that represent the data to chart.
object
The upperBound data.
The upperBound data.
The upperBound data.
The value of the data to display in chart.
See if the chart is after or before extension.
No Benefit.
Start Time.
Total items to be filled into the chart.
The ID from the Rescue Response.
Examplegenerated
{ "apiVersion": "example", "data": { "OBSOLETE2_endTime": 1, "OBSOLETE2_startTime": 1, "OBSOLETE_endTime": "example", "OBSOLETE_startTime": "example", "abandonLoginCount": 1, "endTime": 1, "itemUnit": "example", "items": [ { "OBSOLETE2_upperBound": 1, "OBSOLOTE_upperBound": "example", "upperBound": 1, "value": 1 } ], "kind": "example", "noBenefit": 1, "startTime": 1, "totalItems": 1 }, "id": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example